package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.DoumuProductFj;

/**
 * 痘姆古陶_附件Mapper接口
 * 
 * @author boman
 * @date 2024-01-16
 */
public interface DoumuProductFjMapper
{
    /**
     * 查询痘姆古陶_附件
     * 
     * @param fiId 痘姆古陶_附件主键
     * @return 痘姆古陶_附件
     */
    public DoumuProductFj selectDoumuProductFjByFiId(Long fiId);

    /**
     * 查询痘姆古陶_附件列表
     * 
     * @param doumuProductFj 痘姆古陶_附件
     * @return 痘姆古陶_附件集合
     */
    public List<DoumuProductFj> selectDoumuProductFjList(DoumuProductFj doumuProductFj);

    /**
     * 新增痘姆古陶_附件
     * 
     * @param doumuProductFj 痘姆古陶_附件
     * @return 结果
     */
    public int insertDoumuProductFj(DoumuProductFj doumuProductFj);

    /**
     * 修改痘姆古陶_附件
     * 
     * @param doumuProductFj 痘姆古陶_附件
     * @return 结果
     */
    public int updateDoumuProductFj(DoumuProductFj doumuProductFj);

    /**
     * 删除痘姆古陶_附件
     * 
     * @param fiId 痘姆古陶_附件主键
     * @return 结果
     */
    public int deleteDoumuProductFjByFiId(Long fiId);

    /**
     * 批量删除痘姆古陶_附件
     * 
     * @param fiIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDoumuProductFjByFiIds(Long[] fiIds);
}
